(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@ngrx/store')) :
    typeof define === 'function' && define.amd ? define('share-state', ['exports', '@angular/core', '@ngrx/store'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["share-state"] = {}, global.ng.core, global.store));
})(this, (function (exports, i0, store) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    var ShareStateService = /** @class */ (function () {
        function ShareStateService() {
        }
        return ShareStateService;
    }());
    ShareStateService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateService, deps: [], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    ShareStateService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }], ctorParameters: function () { return []; } });

    var ShareStateComponent = /** @class */ (function () {
        function ShareStateComponent() {
        }
        ShareStateComponent.prototype.ngOnInit = function () {
        };
        return ShareStateComponent;
    }());
    ShareStateComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateComponent, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
    ShareStateComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: ShareStateComponent, selector: "lib-share-state", ngImport: i0__namespace, template: "\n    <p>\n      share-state works!\n    </p>\n  ", isInline: true });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'lib-share-state',
                        template: "\n    <p>\n      share-state works!\n    </p>\n  ",
                        styles: []
                    }]
            }], ctorParameters: function () { return []; } });

    var ShareStateModule = /** @class */ (function () {
        function ShareStateModule() {
        }
        return ShareStateModule;
    }());
    ShareStateModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    ShareStateModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateModule, declarations: [ShareStateComponent], exports: [ShareStateComponent] });
    ShareStateModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateModule, imports: [[]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: ShareStateModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            ShareStateComponent
                        ],
                        imports: [],
                        exports: [
                            ShareStateComponent
                        ]
                    }]
            }] });

    var addUser = store.createAction('[User] Add User', store.props());
    var removeUser = store.createAction('[User] Remove User', store.props());

    /*
     * Public API Surface of share-state
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.ShareStateComponent = ShareStateComponent;
    exports.ShareStateModule = ShareStateModule;
    exports.ShareStateService = ShareStateService;
    exports.addUser = addUser;
    exports.removeUser = removeUser;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=share-state.umd.js.map
